Bug 211809 - NetBeansInOSGi under Equinox
NetBeansInOSGi under Equinox
Status: RESOLVED WONTFIX
Product: platform
Classification: Unclassified
Component: Netigso
7.2
All All
: P3 (vote)
: TBD
Assigned To: Jaroslav Tulach
issues@platform
http://help.eclipse.org/ganymede/inde...
:
Depends on:
Blocks: 210325
  Show dependency treegraph
 
Reported: 2012-04-26 19:28 UTC by Jesse Glick
Modified: 2013-12-18 14:42 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2012-04-26 19:28:50 UTC
If Mylyn bundles cannot be run under Felix, then the IDE should offer a standard build target to run Equinox.

The following seems to work:

java -Declipse.ignoreApp=true -Dosgi.bundles=file:...org.eclipse.core.contenttype-*.jar,file:...org.eclipse.core.jobs-*.jar,file:...org.eclipse.core.net-*.jar,file:...org.eclipse.core.runtime-*.jar@:start,file:...org.eclipse.core.runtime.compatibility.auth-*.jar,file:...org.eclipse.equinox.app-*.jar,file:...org.eclipse.equinox.common-*.jar,file:...org.eclipse.equinox.preferences-*.jar,file:...org.eclipse.equinox.registry-*.jar,file:...org.eclipse.equinox.security-*.jar,file:...org.netbeans.core.osgi-*.jar@:start,file:...org.netbeans.core.startup-*.jar@:start,file:...org.netbeans.bootstrap-*.jar@:start,file:...org.openide.modules-*.jar@:start,file:...org.openide.util-*.jar@:start,file:...org.openide.util.lookup-*.jar@:start,file:...org.openide.filesystems-*.jar@:start -jar ...org.eclipse.osgi-*.jar -consoleLog
Comment 1 Quality Engineering 2012-05-01 09:55:28 UTC
Integrated into 'main-golden', will be available in build *201205010400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/040cf66fff70
User: Jesse Glick <jglick@netbeans.org>
Log: #211809 amelioration: do not even copy org.eclipse.osgi.jar to bundles area.
(Netbinox was already excluded, but it seems modules/ext/*.jar get scanned too.)
This means that Mylyn and similar bundles are just not started.
The effect is a few warnings on console and Bugzilla support is missing.
Better than trying to start all these bundles but throw confusing CCEs.
Comment 2 Jaroslav Tulach 2013-12-18 14:42:55 UTC
No plans to work on it anytime soon.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo